package io.piveau.DataStore.Connector.util;

public final class Constants {
  public static final String ENVIRONMENT_ENV_VARIABLE = "env";

  public static final String SERVER_HOST = "PIVEAU_DATASTORE_CONNECTOR_HOST";
  public static final String SERVER_PORT = "PIVEAU_DATASTORE_CONNECTOR_PORT";
  public static final String DEFAULT_PAGESIZE = "PIVEAU_DATASTORE_CONNECTOR_defaultPageSize";
  public static final String MAX_PAGESIZE = "PIVEAU_DATASTORE_CONNECTOR_maxPageSize";
  public static final String API_KEY = "PIVEAU_DATASTORE_CONNECTOR_APIKEY";

  public static final String CIRCUITBREAKER_MAXFAILURES = "PIVEAU_DATASTORE_CONNECTOR_BREAKER_MAXFAILURES";
  public static final String CIRCUITBREAKER_TIMEOUT = "PIVEAU_DATASTORE_CONNECTOR_BREAKER_TIMEOUT";
  public static final String CIRCUITBREAKER_RESETTIMEOUT = "PIVEAU_DATASTORE_CONNECTOR_BREAKER_RESETTIMEOUT";


  public static final String HDFS_HOST = "PIVEAU_DATASTORE_CONNECTOR_HDFS_HOST";
  public static final String HDFS_ROOT_DIRECTORY = "PIVEAU_DATASTORE_CONNECTOR_HDFS_ROOT_DIRECTORY";
  public static final String HDFS_LOCAL_DOWNLOAD_FOLDER = "PIVEAU_DATASTORE_CONNECTOR_HDFS_LOCAL_DOWNLOAD_DIRECTORY";
  public static final String HDFS_CLIENT_CONNECTION_THRESHOLD_MS= "PIVEAU_DATASTORE_CONNECTOR_HDFS_CLIENT_CONNECTION_THRESHOLD_MS";
  public static final String HDFS_CLIENT_HEALTHCHECK_MS= "PIVEAU_DATASTORE_CONNECTOR_HDFS_CLIENT_HEALTHCHECK_MS";

  public static final String FILESYSTEM_TEMPFILES_DELETEOLDERTHAN = "PIVEAU_DATASTORE_CONNECTOR_FS_TEMPFILES_MAX_AGE_MINUTES";
  public static final String STREAMING_UPDATE_TOPICLIST_SECONDS = "PIVEAU_DATASTORE_CONNECTOR_STREAMING_UPDATE_TOPICLIST_SECONDS";

  public static final String KAFKA_SERVERS = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_BOOTSTRAP_SERVER";
  public static final String KAFKA_KEY_SERIALIZER = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_KEY_SERIALIZER";
  public static final String KAFKA_VALUE_SERIALIZER = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_VALUE_SERIALIZER";
  public static final String KAFKA_KEY_DESERIALIZER = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_KEY_DESERIALIZER";
  public static final String KAFKA_VALUE_DESERIALIZER = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_VALUE_DESERIALIZER";
  public static final String KAFKA_AUTO_OFFSET_RESET = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_AUTO_OFFSET_RESET";
  public static final String KAFKA_ENABLE_AUTO_COMMIT = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_ENABLE_AUTO_COMMIT";
  public static final String KAFKA_METADATA_MAX_AGE = "PIVEAU_DATASTORE_CONNECTOR_KAFKA_METADATA_MAX_AGE_MS";

  public static final String ADVERTISED_TOPICS = "PIVEAU_DATASTORE_CONNECTOR_ADVERTISED_TOPICS";
}
